BEGIN ~NEWMERCH2~

IF WEIGHT #2
~True()
~ THEN BEGIN 0
  SAY ~Hey there, you look like the adventurin' type.  So, do ya need some new equipment?  My prices might seem a little steep, but with the iron shortage and all that, there ain't nothin'  I can do about it.~
  IF ~~ THEN REPLY ~Show us your wares.~  DO ~StartStore("sto4901",LastTalkedToBy())~ EXIT
  IF ~~ THEN REPLY ~We don't need anything today.~  EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 1
  SAY ~I've heard a lot of stuff lately.  Iron seems to be hard to come by, what with the bandits and the faulty Nashkel ore.  Trouble seems to be brewing betwen Baldur's Gate and Amn.  I wouldn't be too surprised if a war broke out between the two.~
  IF ~~ THEN JOURNAL ~When I charmed a merchant, he said some vague things about iron shortages, bandits and war.~  EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY ~I wouldn't trust you as far as I can spit!~
  IF ~~ THEN EXIT
END
